# [−][src]Module image::hdr

Decoding of Radiance HDR Images

A decoder for Radiance HDR images

# Related Links

- http://radsite.lbl.gov/radiance/refer/filefmts.pdf
- http://www.graphics.cornell.edu/~bjw/rgbe/rgbe.c

## Structs

HDRAdapter | Adapter to conform to `ImageDecoder` trait
HDRDecoder | An Radiance HDR decoder
HDREncoder | Radiance HDR encoder
HDRImageDecoderIterator | Scanline buffered pixel by pixel iterator
HDRMetadata | Metadata for Radiance HDR image
RGBE8Pixel | Refer to wikipedia

## Constants

SIGNATURE | Radiance HDR file signature

## Functions

read_raw_file | Helper function for reading raw 3-channel f32 images
rgbe8 | Creates `RGBE8Pixel` from components
to_rgbe8 | Converts `Rgb<f32>` into `RGBE8Pixel`

# Help

## Keyboard Shortcuts

`?`
  Show this help dialog
`S`
  Focus the search field
`↑`
  Move up in search results
`↓`
  Move down in search results
`↹`
  Switch tab
`⏎`
  Go to active search result
`+`
  Expand all sections
`-`
  Collapse all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g., `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g., `vec -> usize` or `* -> vec`)

Search multiple things at once by splitting your query with comma (e.g., `str,u8` or `String,struct:Vec,test`)